/*
login.h
Copyright (C) 2004 Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Part of:
   BhPos, Copyright (C) 2001-2005 Al Kingsley
*/
#ifndef _LOGIN_H
#include "login_ui.h"
#define _LOGIN_H

class login : public login_ui
{
private:
   bhmfengine::CMfPosEngine *eng;
   int   litype;

protected:
   void on_login_changed();
   void on_password_changed();
   void on_ok_clicked();
   void on_clear_clicked();
   void on_login_activate();
   void on_quit_activate();
   void on_options_changed();
   bool on_login_delete_event(GdkEventAny *ev);
   bool KeyReleaseEvent(GdkEventKey *ev);

   void EngMsg(int type, void *data);
   void EngErrMsg(int type, void *data);

public:
   login(bhmfengine::CMfPosEngine *e);
   void Close();
};

#endif
