/*
cpostsmartbar.cc - a point of sale client class class 
Copyright (C) 2004  Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Don't write to me at: kingsley@bananahead.com 

   Part of:
   BhPos, Copyright (C) 2001-2005 Al Kingsley
*/

#include "config.h"
#include <bhintl.h>
#include <fcntl.h>
#include <gdk/gdkkeysyms.h>
#include "mainwin.h"

int mainwin::SmartBarStatus(BhSmartBarStatus s)
{
   int i=3;
   return 0;
   if(!smartbar) return 0;
   eng->GetOption(MFENG_CONFIG_SMARTBAR, &i);
   i=3;
   if(i==0) return 0;
   //if(s==smartbar_status) return 0;
   //smartbar_status=s;
   
   char id[255], isb[255];
   unsigned int k;
   bool         b, bsf;
   
   strcpy(id, "");
   eng->GetOption(MFENG_CONFIG_IMAGEDIR, id);
   strcpy(isb, id);
   eng->GetOption(MFENG_CONFIG_ALLOWPASSIVERETURNS, &b);
   eng->GetOption(MFENG_CONFIG_SMARTBARHOWKEYS, &bsf);
   
   //smartbar->Remove(0);

   switch(s){
   case BHSB_STATUS_CANCEL:
      k=GDK_Escape;
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Back"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Back"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_CLEAR:
      k=GDK_Escape;
      strcat(isb, "/sb_clear.png");
      if(bsf)
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_PASSSIVELOGOUT:
      g_print("passive log out\n");
      k=GDK_Escape;
      strcat(isb, "/sb_exit.png");
      if(bsf)
         smartbar->Push( _("Quit"), isb, &k, bhpos::widget::BHSB_EXIT, 0, _("Esc"));
      else
         smartbar->Push(_("Quit"), isb, &k, bhpos::widget::BHSB_EXIT, 0, "");
      break;
   
   case BHSB_STATUS_LOGGEDIN:
      /* vxretail customer 
      k=GDK_W;
      strcat(isb, "/sb_add.png");
      if(smartbar->Push(_("New"), isb, &k, bhpos::widget::BHSB_NEWCUST, GDK_CONTROL_MASK)){
         g_print("oh BOLLOCKS\n");
      }
      k=GDK_C;
      strcpy(isb, id);
      strcat(isb, "/sb_find.png");
      smartbar->Push(_("Find"), isb, &k, bhpos::widget::BHSB_FINDCUST, GDK_CONTROL_MASK);
      */
      k=GDK_KP_Equal;
      strcpy(isb, id);
      strcat(isb, "/sb_quantity.png");
      if(bsf)
         smartbar->Push(_("Quantity"), isb, &k, bhpos::widget::BHSB_QUANTITY, 0, _("="));
      else
         smartbar->Push(_("Quantity"), isb, &k, bhpos::widget::BHSB_QUANTITY, 0, "");
      k=GDK_F2;
      strcpy(isb, id);
      strcat(isb, "/sb_saleprice.png");
      if(bsf)
         smartbar->Push(_("Type"), isb, &k, bhpos::widget::BHSB_SALEPRICE, 0, _("F2"));
      else
         smartbar->Push(_("Type"), isb, &k, bhpos::widget::BHSB_SALEPRICE, 0, "");
      k=GDK_F11;
      strcpy(isb, id);
      strcat(isb, "/sb_plulu.png");
      if(bsf)
         smartbar->Push(_("Lookup"), isb, &k, bhpos::widget::BHSB_PLULOOKUP, 0, _("F11"));
      else
         smartbar->Push(_("Lookup"), isb, &k, bhpos::widget::BHSB_PLULOOKUP, 0, "");
      k=GDK_F3;
      strcpy(isb, id);
      strcat(isb, "/sb_payin.png");
      if(bsf)
         smartbar->Push(_("Pay In"), isb, &k, bhpos::widget::BHSB_PAYIN, GDK_SHIFT_MASK, _("Shift-F3"));
      else
         smartbar->Push(_("Pay In"), isb, &k, bhpos::widget::BHSB_PAYIN, GDK_SHIFT_MASK, "");
      k=GDK_F4;
      strcpy(isb, id);
      strcat(isb, "/sb_payout.png");
      if(bsf)
         smartbar->Push(_("Pay Out"), isb, &k, bhpos::widget::BHSB_PAYOUT, GDK_SHIFT_MASK, _("F3"));
      else
         smartbar->Push(_("Pay Out"), isb, &k, bhpos::widget::BHSB_PAYOUT, GDK_SHIFT_MASK, "");
      //k=GDK_F2;
      //smartbar->Push(_("Request", "/usr/share/bhpos/pixmaps/sb/sb_request.xpm", &k, BhPos::Widget::BHSB_REQUEST, 0);
      //k=GDK_F2;
      //smartbar->Push(_("Returns", "/usr/share/bhpos/pixmaps/sb/sb_returns.xpm", &k, BhPos::Widget::BHSB_RETURNTRANS, GDK_SHIFT_MASK);
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_logout.png");
      if(bsf)
         smartbar->Push(_("Log Out"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Log Out"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_CUSTOMERSALE:
      k=GDK_W;
      strcat(isb, "/sb_customer_add.png");
      if(bsf)
         smartbar->Push(_("New"), isb, &k, bhpos::widget::BHSB_NEWCUST, GDK_CONTROL_MASK, _("W"));
      else
         smartbar->Push(_("New"), isb, &k, bhpos::widget::BHSB_NEWCUST, GDK_CONTROL_MASK, "");
      k=GDK_C;
      strcpy(isb, id);
      strcat(isb, "/sb_customer_find.png");
      if(bsf)
         smartbar->Push(_("Find (C)"), isb, &k, bhpos::widget::BHSB_FINDCUST, GDK_CONTROL_MASK, _("C"));
      else
         smartbar->Push(_("Find"), isb, &k, bhpos::widget::BHSB_FINDCUST, GDK_CONTROL_MASK, "");
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_logout.png");
      if(bsf)
         smartbar->Push(_("Log Out"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Log Out"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_TRANSIDLE:
      k=GDK_KP_Equal;
      strcat(isb, "/sb_quantity.png");
      if(bsf)
         smartbar->Push(_("Quantity"), isb, &k, bhpos::widget::BHSB_QUANTITY, 0, _("="));
      else
         smartbar->Push(_("Quantity"), isb, &k, bhpos::widget::BHSB_QUANTITY, 0, "");
      k=GDK_F11;
      strcpy(isb, id);
      strcat(isb, "/sb_plulu.png");
      if(bsf)
         smartbar->Push(_("Lookup"), isb, &k, bhpos::widget::BHSB_PLULOOKUP, 0, _("F11"));
      else
         smartbar->Push(_("Lookup"), isb, &k, bhpos::widget::BHSB_PLULOOKUP, 0, "");
      k=GDK_F12;
      strcpy(isb, id);
      strcat(isb, "/sb_pluremove.png");
      if(bsf)
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_REMOVE, 0, _("F12"));
      else
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_REMOVE, 0, "");
      k=GDK_Return;
      strcpy(isb, id);
      strcat(isb, "/sb_total.png");
      if(bsf)
         smartbar->Push(_("Total"), isb, &k, bhpos::widget::BHSB_TOTAL, 0, _("Ret"));
      else
         smartbar->Push(_("Total"), isb, &k, bhpos::widget::BHSB_TOTAL, 0, "");
      if(b){
         //k=PK_RETURNS;
         strcpy(isb, id);
         strcat(isb, "/sb_returns.png");
         smartbar->Push(_("Return Item"), isb, &k, bhpos::widget::BHSB_RETURNITEM, 0, "");
      }
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_canceltrans.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      //smartbar->SetAlignRight(6, true);
      break;

   case BHSB_STATUS_EDITMODE:
      k=GDK_KP_Add;
      strcat(isb, "/sb_pluinc.png");
      if(bsf)
         smartbar->Push(_("Increment"), isb, &k, bhpos::widget::BHSB_INCREMENT, 0, _("+"));
      else
         smartbar->Push(_("Increment"), isb, &k, bhpos::widget::BHSB_INCREMENT, 0, "");
   
      k=GDK_KP_Subtract;
      strcpy(isb, id);
      strcat(isb, "/sb_pludec.png");
      if(bsf)
         smartbar->Push(_("Decrement"), isb, &k, bhpos::widget::BHSB_DECREMENT, 0, _("-"));
      else
         smartbar->Push(_("Decrement"), isb, &k, bhpos::widget::BHSB_DECREMENT, 0, "");
      k=GDK_Delete;
      strcpy(isb, id);
      strcat(isb, "/sb_pluremove.png");
      if(bsf)
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_DELETE, 0, _("Del"));
      else
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_DELETE, 0, "");
      
      k=GDK_Return;
      strcpy(isb, id);
      strcat(isb, "/sb_done.png");
      if(bsf)
         smartbar->Push(_("End"), isb, &k, bhpos::widget::BHSB_DONE, 0, _("Ret"));
      else
         smartbar->Push(_("End"), isb, &k, bhpos::widget::BHSB_DONE, 0, "");
      break;
      
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_PAYMENTSELECTED:
      k=GDK_Return;
      strcat(isb, "/sb_allamount.png");
      if(bsf)
         smartbar->Push(_("Balance"), isb, &k, bhpos::widget::BHSB_ALLAMOUNT, 0, _("Ret"));
      else
         smartbar->Push(_("Balance"), isb, &k, bhpos::widget::BHSB_ALLAMOUNT, 0, "");
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_QUANTITY:
   case BHSB_STATUS_PLUENTRY:
      k=GDK_Escape;
      strcat(isb, "/sb_clear.png");
      if(bsf)
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
    
   case BHSB_STATUS_PAYMENTMODE:
      k=GDK_F5;
      strcat(isb, "/sb_cash.png");
      if(bsf)
         smartbar->Push(_("Cash"), isb, &k, bhpos::widget::BHSB_CASH, 0, _("F5"));
      else
         smartbar->Push(_("Cash"), isb, &k, bhpos::widget::BHSB_CASH, 0, "");
      k=GDK_F6;
      strcpy(isb, id);
      strcat(isb, "/sb_credit.png");
      if(bsf)
         smartbar->Push(_("Credit"), isb, &k, bhpos::widget::BHSB_CREDIT, 0, _("F6"));
      else
         smartbar->Push(_("Credit"), isb, &k, bhpos::widget::BHSB_CREDIT, 0, "");
      k=GDK_F7;
      strcpy(isb, id);
      strcat(isb, "/sb_cheque.png");
      if(bsf)
         smartbar->Push(_("Cheque"), isb, &k, bhpos::widget::BHSB_CHEQUE, 0, _("F7"));
      else
         smartbar->Push(_("Cheque"), isb, &k, bhpos::widget::BHSB_CHEQUE, 0, "");
      //k=PK_INHOUSECHARGE;
      //strcat(isb, "sb_charge.png");
      //smartbar->Push(_("Charge"), isb, &k, bhpos::widget::BHSB_CHARGE, 0);
      k=GDK_Escape;
      strcpy(isb, id);
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_PAYMENTENTRY:
      k=GDK_Escape;
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CLEAR, 0, _("Esc"));
      else
         smartbar->Push(_("Clear"), isb, &k, bhpos::widget::BHSB_CLEAR, 0, "");
      break;
   
   case BHSB_STATUS_RETRANSID:
      k=GDK_Escape;
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      break;
   
   case BHSB_STATUS_RETURNS:
      k=GDK_Escape;
      strcat(isb, "/sb_cancel.png");
      if(bsf)
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, _("Esc"));
      else
         smartbar->Push(_("Cancel"), isb, &k, bhpos::widget::BHSB_CANCEL, 0, "");
      k=GDK_F12;
      strcpy(isb, id);
      strcat(isb, "/sb_pluremove.png");
      if(bsf)
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_REMOVE, 0, _("F12"));
      else
         smartbar->Push(_("Remove"), isb, &k, bhpos::widget::BHSB_REMOVE, 0, "");
      k=GDK_Return;
      strcpy(isb, id);
      strcat(isb, "/sb_total.png");
      if(bsf)
         smartbar->Push(_("Total"), isb, &k, bhpos::widget::BHSB_TOTAL, 0, _("Ret"));
      else
         smartbar->Push(_("Total"), isb, &k, bhpos::widget::BHSB_TOTAL, 0, "");
   
   case BHSB_STATUS_COMMIT:
      // if confirm is on
      k=GDK_Return;
      strcat(isb, "/sb_transcommit.png");
      if(bsf)
         smartbar->Push(_("Commit"), isb, &k, bhpos::widget::BHSB_COMMIT, 0, _("Ret"));
      else
         smartbar->Push(_("Commit"), isb, &k, bhpos::widget::BHSB_COMMIT, 0, "");
      break;
   }
   
   return 1;
}
