/* splash.h
Copyright (C) 2004  Al Kingsley
*/
#ifndef _SPLASH_H
#include "splash_ui.h"
#define _SPLASH_H

#include <gtkmm/window.h>
#include <gtkmm/drawingarea.h>
#include <gdkmm/color.h>
#include <gdkmm/gc.h>

class splash : public splash_ui
{
private:
   gint   cu_tag;
   int    t;
   int    r;
   bool   bLeft;
   gfloat f;
   bool   bConnect;
   int    current;
   int    menuid;
   sigc::connection con;
   bhmfengine::CMfPosEngine *eng;

   Glib::RefPtr<Gdk::Window> window;
   Glib::RefPtr<Gdk::GC>     gc;
   Glib::RefPtr<Gdk::Pixbuf> final;
   Glib::RefPtr<Gdk::Pixbuf> image;

   int  current_status;
   void on_msgbox_event(int);

public:
   splash(bhmfengine::CMfPosEngine *);
   ~splash();
   void Close();
   void conn();
   bool updater();
   void on_sys_connect_cancel_clicked();
   gint connector_deleteevent(GdkEventAny *ev);
   bool on_expose_event(GdkEventExpose* ev);
   //void on_realize();
   void imagetick(int i);
   void EngMsg(int, void *);
   void EngErrMsg(int, void *);
};

#endif
