/*
pos.cpp
Copyright (C) 2004 Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001-2004 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY. 
*/
#include "config.h"
#include <bhintl.h>
#include "mainwin.h"

void mainwin::PosMsg(int e, void *d)
{
   int x, y, bm, bt, cdr;
   bool bServerSide;
   Gdk::Color col;
   eng->GetOption(MFENG_CONFIG_MODAL, &bm);
   eng->GetOption(MFENG_CONFIG_LOGOUTEACHTRANS, &bt);
   eng->GetOption(MFENG_CONFIG_DISP_XSIZE, &x);
   eng->GetOption(MFENG_CONFIG_DISP_YSIZE, &y);
   eng->GetOption(MFENG_CONFIG_CASHDRESETTLOGIN, &cdr);
   
   switch(e){
   case bhmfengine::BHMF_EVENT_LOGIN:
   {
      BhLogonReply *lr=(BhLogonReply *) d;
      if(bt){
         statusbar->SetText(bhpos::widget::BHSTATUS_USER, lr->userdispname);
         statusbar->SetText(bhpos::widget::BHSTATUS_MODE, _("Ready"));
         statusbar->SetText(bhpos::widget::BHSTATUS_STATUS, _("Idle"));
         col.set_rgb(8704, 31744, 12288);
         statusbar->SetColour(bhpos::widget::BHSTATUS_USER, Gtk::STATE_INSENSITIVE, col);
         statusbar->SetColour(bhpos::widget::BHSTATUS_MODE, Gtk::STATE_INSENSITIVE, col);
         col.set_rgb(8704, 12288, 31744);
         statusbar->SetColour(bhpos::widget::BHSTATUS_STATUS, Gtk::STATE_INSENSITIVE, col);
         SmartBarStatus(BHSB_STATUS_LOGGEDIN);
      }
      else{
      }
      
      eng->GetOption(MFENG_CONFIG_TRANSSERVERSIDE, &bServerSide);
      if(bServerSide){  // display a list of open trans
         //BHMF_CMD_TRANS_CURRENT
      }
   }
      /*
      userID=lr.userID;
      //interfaceID=lr.interfaceID;
      strcpy(userName, lr.userdispname);
      status=MF_STATUS_LOGGEDIN;
      mode=POST_MODE_IDLE;
      */
      
      
      /*
      if(hdr->hdr.Ex==BHPOS_REFUSE){
				ct=new class confirm(BHCONFIRMBOX_OK, bm, _("Login Error"),
					"/usr/share/bhpos/pixmaps/icon_lierror.xpm",
					_("User Name or Password incorrect"),
					NULL,
					NULL);
					
				return 0;
			}
			if(li) li->Close();
         int x, y;
         config.GetOption(MFENG_CONFIG_DISP_XSIZE, &x);
         config.GetOption(MFENG_CONFIG_DISP_YSIZE, &y);
			trans=Gtk::manage(new class BhPos::CTransaction(x, y, bm));
			if(trans){
            trans->signal_trans.connect(SigC::slot(*this, &CMfPosEngine::TransactionEvent));
            trans->show();
         }					
			userID=lr.userID;
			//interfaceID=lr.interfaceID;
			strcpy(userName, lr.userdispname);
			status=MF_STATUS_LOGGEDIN;
			mode=POST_MODE_IDLE;
         post_signal.emit(BhPos::BHTRANS_PROCTYPE_USERNAME, userName);
     
     */
     break;
     
     /*
     // system granted logout
		if(hdr->hdr.Ex==BHPOS_REFUSE){
			ct=manage(new confirm(BHCONFIRMBOX_OK, bm, _("Quit Refused"),				
				"/usr/share/bhpos/pixmaps/unhappy_banana.xpm",
				_("Quit Transaction was refused."),
				NULL,
				NULL));
		}
		else{
			if(bt){
				//trans->bLoggedin=false;
				//trans->SetStatus(TRANSSTATE_IDLE);
            status=MF_STATUS_PASSIVELOGOUT;
			}
			else{
				status=MF_STATUS_LOGGEDOUT;
            bool cdr;
            config.GetOption(MFENG_CONFIG_CASHDRESETTLOGIN, &cdr);
				trans->Close();
				if(bNoLogin)
					li=manage(new class login(userlogin, password, false, bm, cdr, &keystreamcheck));
				else
			   	li=manage(new class login(userlogin, password, true, bm, cdr, &keystreamcheck));
			}*/
      break;
      
   case bhmfengine::BHMF_EVENT_SYSTEM_PAYADJUSTMENT:
   case bhmfengine::BHMF_EVENT_SYSTEM_PAYIN:
   case bhmfengine::BHMF_EVENT_SYSTEM_PAYOUT:
      statusbar->SetText(bhpos::widget::BHSTATUS_MODE, _("Ready"));
      statusbar->SetText(bhpos::widget::BHSTATUS_STATUS, _("Idle"));
      col.set_rgb(8704, 31744, 12288);
      statusbar->SetColour(bhpos::widget::BHSTATUS_USER, Gtk::STATE_INSENSITIVE, col);
      statusbar->SetColour(bhpos::widget::BHSTATUS_MODE, Gtk::STATE_INSENSITIVE, col);
      break;      
   }
}
