/* splash_ui.h
Copyright (C) 2004  Al Kingsley
*/
#include "config.h"
#include <bhintl.h>
#include "splash_ui.h"
#include <gdk/gdkkeysyms.h>
#include <gtkmm/accelgroup.h>

splash_ui::splash_ui() : Gtk::Window(Gtk::WINDOW_TOPLEVEL)
{  
   splash = this;
   drawingarea = Gtk::manage(new class Gtk::DrawingArea());
   sys_connect_progress = Gtk::manage(new class Gtk::ProgressBar());
   vbox1 = Gtk::manage(new class Gtk::VBox(false, 0));
   drawingarea->set_size_request(512, 316);
   vbox1->pack_start(*drawingarea);
   vbox1->pack_start(*sys_connect_progress, Gtk::PACK_SHRINK, 10);
   splash->set_title(_("Starting VxRetail"));
   splash->set_modal(true);
   splash->property_window_position().set_value(Gtk::WIN_POS_CENTER);
   splash->set_resizable(false);
   splash->property_destroy_with_parent().set_value(false);
   splash->add(*vbox1);
   show_all();
}

splash_ui::~splash_ui()
{
}
