/*
system.cpp
Copyright (C) 2004 Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001-2005 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY. 
*/
#include "config.h"
#include "mainwin.h"

void mainwin::SystemMsg(int e, void *d)
{
   int x, y, bm, bt, cdr;
   
   eng->GetOption(MFENG_CONFIG_MODAL, &bm);
   eng->GetOption(MFENG_CONFIG_LOGOUTEACHTRANS, &bt);
   eng->GetOption(MFENG_CONFIG_DISP_XSIZE, &x);
   eng->GetOption(MFENG_CONFIG_DISP_YSIZE, &y);
   eng->GetOption(MFENG_CONFIG_CASHDRESETTLOGIN, &cdr);
   
   switch(e){
   case bhmfengine::BHMF_EVENT_CONNECT:
      
      /*
  		if(bNoLogin)
     		li=new class login(userlogin, password, false, bm, cdr, &keystreamcheck);
  		else
  		   li=new class login(userlogin, password, true, bm, cdr, &keystreamcheck);
     */
      break;
   
   case bhmfengine::BHMF_EVENT_DISCONNECT:
      if(bt){
         Gtk::Main::quit();
      }
      else{
      }
      break;
   
   
   case bhmfengine::BHMF_EVENT_SHUTDOWN:
      eng->GetOption(MFENG_CONFIG_MODAL, &bm);
      eng->GetOption(MFENG_CONFIG_LOGOUTEACHTRANS, &bt);
   	if(bt){
	      if(Close()) Gtk::Main::quit();
	   }
	   else{
   		//li->Close();
		   if(Close()) Gtk::Main::quit();
		}
		break;
      
	case bhmfengine::BHMF_EVENT_REBOOT:
#ifdef _DEBUGGERY	
		g_print("system reboot");
#endif		
		if(bt){
		   if(Close()) Gtk::Main::quit();
		}
		else{
   		//li->Close();
		   if(Close()) Gtk::Main::quit();
      }
		break;
      
	case bhmfengine::BHMF_EVENT_RESTART:
#ifdef _DEBUGGERY	
		g_print("system restart");
#endif
		if(bt){
	      if(Close()) Gtk::Main::quit();
	   }
	   else{
  			//li->Close();
		   if(Close()) Gtk::Main::quit();
		}
		break;
      
	case bhmfengine::BHMF_EVENT_SLEEP:
#ifdef _DEBUGGERY	
		g_print("system sleep");
#endif		
		break;
   }
}
